curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_info/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"dataset_id": "L2cvMTFqbl85ZHN6MQ=="
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_info/task_post"
payload = [{ "dataset_id": "L2cvMTFqbl85ZHN6MQ==" }]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{dataset_id: 'L2cvMTFqbl85ZHN6MQ=='}])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_info/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
{
"id": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"result_count": 123,
"path": [
"<string>"
],
"data": {},
"result": {}
}
]
}设置 Google 数据集信息任务
设置 Google Dataset Info 任务。
示例
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/serp/google/dataset_info/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"dataset_id": "...", "language_name": "...", "language_code": "..."}]'
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
ID of the dataset
required field
you can find dataset ID in the dataset URL or dataset item of Google Dataset Search result
example:
L2cvMTFqbl85ZHN6MQ==
search engine language code
optional field
if you use this field, you don't need to specify language_name
possible value:
en
device type
optional field
return results for a specific device type
possible value: desktop
notification URL of a completed task
optional field
when a task is completed we will notify you by GET request sent to the URL you have specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request.
example:
http://your-server.com/pingscript?id=$id
http://your-server.com/pingscript?id=$id&tag=$tag
Note: special characters in pingback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
URL for sending task results
optional field
once the task is completed, we will send a POST request with its results compressed in the gzip format to the postback_url you specified
you can use the ‘$id’ string as a $id variable and ‘$tag’ as urlencoded $tag variable. We will set the necessary values before sending the request
example:
http://your-server.com/postbackscript?id=$id
http://your-server.com/postbackscript?id=$id&tag=$tag
Note: special characters in postback_url will be urlencoded;
i.a., the # character will be encoded into %23
learn more on our Help Center
postback_url datatype
required field if you specify postback_url
corresponds to the datatype that will be sent to your server
possible value: advanced
full name of search engine language
optional field
if you use this field, you don't need to specify language_code
possible value:
English
device operating system
optional field
choose from the following values: windows, macos
default value: windows
user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response
[{ "dataset_id": "L2cvMTFqbl85ZHN6MQ==" }]
响应
Successful operation
API 的当前版本
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
total execution time, seconds
任务总成本(美元)
tasks 数组中的任务数量
返回错误的 tasks 数组中的任务数量
array of tasks
Show child attributes
Show child attributes